import React, {useContext} from 'react'

const UserContext = React.createContext(null);

export const UserContextProvider = UserContext.Provider;

export default function useUser(){
  const [user, setUser] = useContext(UserContext)
  return user
}

export function useSetUser() {
  const [user, setUser] = useContext(UserContext)
  return setUser
}
