# Society of Socks - NextJS Rewrite

In 2015 years ago I made a [website](https://societyofsocks.us/) for a friend.
I tried my best and put in a lot of work, and the site works but it hasn't aged
well - new features were always a hack on top of other hacks, and Javascript has
improved a lot since then with new language features like Promises and async
functions.

This repository is my ongoing project to replace that site with a more modern
rewrite (when I find time).

Remaining features to implement:

 - [ ] User profile settings (change email / password)
 - [ ] Forgotten password reset
 - [ ] Error page in case of invalid coupons
 - [ ] Page analytics
 - [ ] International shipping customs declarations
 - [ ] Allow users to re-use previous addresses
 - [ ] Finish admin UI around categories
 - [ ] Checkout with Paypal

Completed features:

 - [x] Consistent form UI library
 - [x] User Registration
 - [x] User can browse and add items to cart
 - [x] Checkout with card
 - [x] Admin interface for items and photos
 - [x] Admin interface for reviewing orders
 - [x] Admin interface for printing shipping labels
