module.exports = [{
  mapId: 'shipmentMap',
  idProperty: 'uuid',
  properties: [
    'date',
    'description'
  ],
  collections: [
    {name: 'stockchanges', mapId: 'stockchangeBareMap', columnPrefix: 'stockchange_'}
  ]
},{
  mapId: 'stockchangeBareMap',
  idProperty: 'uuid',
  properties: [
    'type',
    'direction',
    'change'
  ],
  associations: [
    {name: 'item', mapId: 'itemMap', columnPrefix: 'item_'}
  ]
}]
