import React, {useContext} from 'react'

const CartContext = React.createContext(null);

export const CartContextProvider = CartContext.Provider;

export default function useCart(){
  const [cart, setCart] = useContext(CartContext)
  return cart
}

export function useSetCart() {
  const [cart, setCart] = useContext(CartContext)
  return setCart
}
