import Link from 'next/link'
import redirect from '~/utils/redirectGetInitialProps'

Redirect.getInitialProps = async function({ctx}) {
  const {axios, query: {slug}} = ctx;
  redirect(ctx, 302, `/store/item/${slug}`)
  return {slug}
}

export default function Redirect({slug}) {
  return (
    <p>This page has moved to <Link href={`/store/item/${slug}`}><a>{`https://societyofsocks.us/store/item/${slug}`}</a></Link></p>
  )
}